Bug 517509 - Multilib conflict at structpoptContext__s__coll__graph.png
Multilib conflict at structpoptContext__s__coll__graph.png
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: popt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
: Reopened
Depends On: 549122
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-14 08:36 EDT by Martin Stransky
Modified: 2010-02-15 18:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.13-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-15 18:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2009-08-14 08:36:22 EDT
Description of problem:

Loaded plugins: refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package popt-devel.i686 0:1.13-6.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================
 Package                        Arch                     Version                            Repository                   Size
==============================================================================================================================
Installing:
 popt-devel                     i686                     1.13-6.fc12                        rawhide                     325 k

Transaction Summary
==============================================================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total download size: 325 k
Is this ok [y/N]: y
Downloading Packages:
popt-devel-1.13-6.fc12.i686.rpm                                                                        | 325 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
  file /usr/share/doc/popt-devel-1.13/html/structpoptContext__s__coll__graph.png from install of popt-devel-1.13-6.fc12.i686 conflicts with file from package popt-devel-1.13-6.fc12.x86_64
Comment 1 Robert Scheck 2009-08-14 08:55:43 EDT
Ask the doxygen folks to fix their broken software, please.

*** This bug has been marked as a duplicate of bug 507982 ***
Comment 2 Jan Kratochvil 2009-12-19 16:32:02 EST
There is new upstream release and f13 build: graphviz-2.26.0-1.fc13

Tried a scratch build but it fails for different reasons, could it be fixed up?
https://koji.fedoraproject.org/koji/getfile?taskID=1881310&name=build.log
+ doxygen
Warning: Tag `USE_WINDOWS_ENCODING' at line 64 of file Doxyfile has become obsolete.
To avoid this warning please update your configuration file using "doxygen -u"
Warning: Tag `DETAILS_AT_TOP' at line 156 of file Doxyfile has become obsolete.
To avoid this warning please update your configuration file using "doxygen -u"
Warning: Tag `MAX_DOT_GRAPH_WIDTH' at line 1191 of file Doxyfile has become obsolete.
To avoid this warning please update your configuration file using "doxygen -u"
Warning: Tag `MAX_DOT_GRAPH_HEIGHT' at line 1199 of file Doxyfile has become obsolete.
To avoid this warning please update your configuration file using "doxygen -u"
Error: tag HTML_FOOTER: footer file `footer_no_timestamp.html' does not exist
error: Bad exit status from /var/tmp/rpm-tmp.N90osm (%build)
Comment 3 Robert Scheck 2009-12-20 09:39:08 EST
It is a regression in patch(1), see bug #549122. If I work around the patch(1)
regression, the multilib issue seems to be gone.
Comment 4 Robert Scheck 2010-02-15 18:11:35 EST
Solved with http://koji.fedoraproject.org/koji/buildinfo?buildID=156614

Note You need to log in before you can comment on or make changes to this bug.